Bug 493173 - Wrong message "There was no selection." when deleting custom errata
Wrong message "There was no selection." when deleting custom errata
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-03-31 16:46 EDT by Sayli Karmarkar
Modified: 2009-09-10 16:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-03-31 16:46:07 EDT
Description of problem:
When deleting custom errata (published or unpublished), "There was no selection. Please make your selection and try again." message is displayed along with 
"Deleted errata test-advisoryIIHScFSXW20YL"

Its a display only bug. Errata gets deleted correctly.

Steps to Reproduce:
1. Create a custom errata
2. Go to manage errata -> unpublished
3. delete errata
  
Actual results:
Following messages are displayed together:

Deleted errata test-advisoryIIHScFSXW20YL
There was no selection. Please make your selection and try again.

Expected results:
Only : Deleted errata test-advisoryIIHScFSXW20YL
Comment 1 Brad Buckingham 2009-04-03 10:06:27 EDT
vader commit: 21400483fe20cd345e4c7893daaea64c0fdfbb19
master commit: 8e760a06723ed975b1cc5fd60a83f2aca6f55b95

In order to solve this one, the struts config needed a minor change to the action path="/errata/manage/Delete".  The change was:

-                  path="/errata/manage/PublishedErrata.do" />
+                  path="/errata/manage/PublishedErrata.do" redirect="true" />

Without this redirect, the request was not sent to the expect url of https://<server>/rhn/errata/manage/PublishedErrata.do.  Instead, the user was sent to a url like: https://<server>/rhn/errata/manage/Delete.do?eid=2559&dispatch=Delete+Erratum.
Comment 2 Sayli Karmarkar 2009-04-15 14:37:04 EDT
Verified. Not seeing "There was no selection. Please make your selection and try again." message when deleting published or unpublished errata now. 

~SayliK
Comment 3 John Sefler 2009-08-27 17:08:41 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

The deletion of a publish or unpublished custom errata results in the following message: 

Successfully deleted 1 errata.

moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 16:34:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.